For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet the most recent events from the Unleash instance or all events related to a project.
      • GETGet all events related to a specific feature flag.
      • GETGet a list of all users that have created events
      • GETSearch for events

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIEvents

Get a list of all users that have created events

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/event-creators
GET
/api/admin/event-creators
$curl https://app.unleash-instance.example.com/api/admin/event-creators \
> -H "Authorization: <apiKey>"
1[
2 {
3 "id": 50,
4 "name": "User"
5 }
6]
Returns a list of all users that have created events in the system.
Was this page helpful?
Previous

Search for events

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

eventCreatorsSchema
idinteger
The user id.
namestring

Name of the user. If the user has no set name, the API falls back to using the user’s username (if they have one) or email (if neither name or username is set).

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error